List organization advertiser grants
curl --request GET \
--url https://api.interchange.io/api/v2/organization/advertiser-grants \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/organization/advertiser-grants"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/organization/advertiser-grants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"organization": {
"organizationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"displayName": "<string>"
},
"grants": [
{
"grantRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"grantor": {
"organizationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"displayName": "<string>"
},
"grantee": {
"organizationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"displayName": "<string>"
},
"advertisers": [
{
"advertiserId": "<string>",
"displayName": "<string>"
}
],
"capabilities": [
"advertiser.read"
],
"purpose": "<string>",
"status": "invited",
"invitedAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"events": [
{
"eventRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "invited",
"actor": "grantor",
"reason": "<string>",
"observedAt": "2023-11-07T05:31:56Z"
}
]
}
],
"page": {
"limit": 250,
"truncated": true
}
},
"error": null
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Advertisers
List organization advertiser grants
List incoming and outgoing exact-advertiser grants visible to an Organization administrator. Compatibility tenant IDs are never returned.
GET
/
organization
/
advertiser-grants
List organization advertiser grants
curl --request GET \
--url https://api.interchange.io/api/v2/organization/advertiser-grants \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/organization/advertiser-grants"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/organization/advertiser-grants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"organization": {
"organizationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"displayName": "<string>"
},
"grants": [
{
"grantRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"grantor": {
"organizationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"displayName": "<string>"
},
"grantee": {
"organizationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"displayName": "<string>"
},
"advertisers": [
{
"advertiserId": "<string>",
"displayName": "<string>"
}
],
"capabilities": [
"advertiser.read"
],
"purpose": "<string>",
"status": "invited",
"invitedAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"events": [
{
"eventRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "invited",
"actor": "grantor",
"reason": "<string>",
"observedAt": "2023-11-07T05:31:56Z"
}
]
}
],
"page": {
"limit": 250,
"truncated": true
}
},
"error": null
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}